﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using MyFirstREST.Models;

namespace MyFirstREST.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    [ApiExplorerSettings(GroupName = "Действие с ролями")]
    public class DeleteRoleController : ControllerBase
    {
        Ageev_WPFContext db = new Ageev_WPFContext();

        [Route("{id}")]
        [HttpDelete]
        public IActionResult Index(int id)
        {
            var currentRole = db.Roles.Find(id);
            if (currentRole == null)
            {
                return NotFound();
            }
            db.Roles.Remove(currentRole);
            db.SaveChanges();
            return NoContent();
        }

    }
}
