﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using MyFirstREST.Models;

namespace MyFirstREST.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    [ApiExplorerSettings(GroupName = "Действие с пользователем")]

    public class UserInfoController : ControllerBase
    {
        Ageev_WPFContext db = new Ageev_WPFContext();


        [HttpGet]
        public IActionResult Get()
        {
            // Чекни ThenInclude

            //http://gogs.ngknn.local:3000/CryDeveloper/WebApplicationMC/src/master/WebApplicationMC/EFCore/Service.cs

            List<UserInfo> myList = db.UserInfos
                .Include(I => I.IdNavigation)
                .Include(I => I.IdRoleNavigation)  
                    .ThenInclude(r => r.UserInfos)
                .ToList();

            return Ok(myList);
        }



    }
}
