﻿using System;
using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace MyFirstREST.Models
{
    public partial class Role
    {
        public Role()
        {
            UserInfos = new HashSet<UserInfo>();
        }

        public int IdRole { get; set; }
        public string RoleTitle { get; set; } = null!;

        [JsonIgnore] // For POST property
        public virtual ICollection<UserInfo> UserInfos { get; set; }
    }
}
