﻿using System;
using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace MyFirstREST.Models
{
    public partial class UserInfo
    {
        public int Id { get; set; }
        public string Name { get; set; } = null!;
        public string Surname { get; set; } = null!;
        public int IdRole { get; set; }

        [JsonIgnore]    
        public virtual AuthDatum? IdNavigation { get; set; } = null!;
        [JsonIgnore]
        public virtual Role? IdRoleNavigation { get; set; } = null!;
    }
}
